Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.space
Interface Diffuse2dC

All Known Implementing Classes:
  Diffuse2dCImpl

public interface Diffuse2dC
extends Ca2dC, Ca2dS

2d difussion with evaporation.. Discrete 2nd order approximation to 2d diffusion with evaporation. Math is done in integers on the range [0,0x7fff].

Method Summary
`java.lang.Object` | `create$setSizeX$Y$setDiffusionConstant$setEvaporationRate(Zone aZone, int x, int y, double d, double e)` Convenience constructor for Diffuse2d
`java.lang.Object` | `initializeLattice()` Initialize world to 0.

Methods inherited from interface swarm.space.Ca2dC
`setNumStates`

Methods inherited from interface swarm.space.Discrete2dC
`create$setSizeX$Y, makeOffsets, setSizeX$Y`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setSizeX$Y$setDiffusionConstant$setEvaporationRate

    public java.lang.Object create$setSizeX$Y$setDiffusionConstant$setEvaporationRate(Zone aZone,
                                                                                      int x,
                                                                                      int y,
                                                                                      double d,
                                                                                      double e)

  Convenience constructor for Diffuse2d

### initializeLattice

    public java.lang.Object initializeLattice()

  Initialize world to 0.
  Specified by:
    initializeLattice in interface Ca2dC

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD